<?php

/**
 * Copyright (c) D3 Data Development (Inh. Thomas Dartsch)
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Max Buhe, Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\ManufacturerInformation\Application\Controller\Admin\ManufacturerInfoLongdesc;
use D3\ManufacturerInformation\Application\Model\Constants;
use D3\ManufacturerInformation\Modules\Application\Model\D3ManufacturerLongDesc;
use D3\ManufacturerInformation\Modules\Application\Model\ManufacturerInfoList;
use OxidEsales\Eshop\Application\Model\Manufacturer as OEManufacturer;
use OxidEsales\Eshop\Application\Model\ManufacturerList as OEManufacturerList;

$sMetadataVersion = '2.1';

$sModuleId = Constants::OXID_MODULE_ID;
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => $sModuleId,
    'title'       => $logo.' Herstellerinformationen',
    'description' => [
        'de' => 'fügt Informationen der Hersteller zur Artikelliste hinzu',
        'en' => 'adds manufacturer information to the article list',
    ],
    'thumbnail'   => 'image-file.png',
    'version'     => '1.1.2.1',
    'author'      => $logo.' Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
        "d3manufacturerinfolongdesc" => ManufacturerInfoLongdesc::class,
    ],
    'extend'      => [
        OEManufacturer::class => D3ManufacturerLongDesc::class,
        OEManufacturerList::class => ManufacturerInfoList::class,
    ],
    'templates'   => [
        'd3manufacturerlongdesc.tpl'        => 'd3/manufacturerinformation/Application/views/admin/tpl/d3manufacturer_longdesc.tpl',
    ],
    'settings'    => [
        [
            'group'     => $sModuleId.'_main',
            'name'      => $sModuleId.'_showManufacturertextOnDetailsPage',
            'type'      => 'bool',
            'value'     => true,
        ],
    ],
    'blocks'      => [
        [
            'template'  => 'page/details/inc/productmain.tpl',
            'block'     => 'details_productmain_manufacturersicon',
            'file'      => 'Application/views/blocks/page/details/inc/details_productmain_manufacturersicon.html.tpl',
        ],
        [
            'template'  => 'page/details/inc/tabs.tpl',
            'block'     => 'details_tabs_invite',
            'file'      => 'Application/views/blocks/page/details/inc/details_tabs_invite.html.tpl',
        ],
    ],
];
